%define upstream_name WWW-Search-Yahoo
%define upstream_version 2.415

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12
License:	GPL or Artistic
Summary:	Backend for searching www.yahoo.com
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(I18N::Charset)
BuildArch:	noarch

%description
This class is a Yahoo specialization of WWW::Search. It handles
making and interpreting Yahoo searches https://www.yahoo.com.

This class exports no public interface; all interaction should
be done through WWW::Search objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
# china is not responding and the tests take forever to finish...
#make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/WWW
%{_mandir}/*/*


%changelog
* Tue Nov 01 2022 umeabot <umeabot> 2.415.0-12.mga9
+ Revision: 1901205
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.415.0-11.mga8
+ Revision: 1506967
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.415.0-10.mga7
+ Revision: 1287282
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.415.0-9.mga7
+ Revision: 1167399
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 2.415.0-8.mga7
+ Revision: 1157372
- fix build

* Sun Jun 19 2016 pterjan <pterjan> 2.415.0-7.mga6
+ Revision: 1035869
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 2.415.0-6.mga6
+ Revision: 934093
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.415-5.mga5
+ Revision: 747148
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.415-4.mga5
+ Revision: 686866
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.415-3.mga4
+ Revision: 515898
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.415-2.mga3
+ Revision: 374807
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 2.415-1.mga1
+ Revision: 36630
- mageia rebuild
- imported package perl-WWW-Search-Yahoo

